LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 04-08-2021, 10:30 PM   #3676
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 8,119

Rep: Reputation: 5648Reputation: 5648Reputation: 5648Reputation: 5648Reputation: 5648Reputation: 5648Reputation: 5648Reputation: 5648Reputation: 5648Reputation: 5648Reputation: 5648

Quote:
Originally Posted by enine View Post
I don't see any updated script on your git ponce for ffmpeg
Ponce removed ffmpeg and ffmpeg4 from his repo.
 
Old 04-09-2021, 02:45 AM   #3677
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,079

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by enine View Post
I don't see any updated script on your git ponce for ffmpeg
Quote:
Originally Posted by bassmadrigal View Post
Ponce removed ffmpeg and ffmpeg4 from his repo.
ffmpeg is in current now: as every other package added to current, and like bassmadrigal just answered (have a look at the commit messages he is pointing to), I removed it from the repository.
 
Old 04-09-2021, 08:30 AM   #3678
enine
Senior Member
 
Registered: Nov 2003
Distribution: Slackʍɐɹǝ
Posts: 1,344
Blog Entries: 4

Rep: Reputation: 205Reputation: 205Reputation: 205
Ahh, sorry, lesson learned, don't trust the .info file
 
Old 04-09-2021, 08:38 AM   #3679
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,079

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by enine View Post
Ahh, sorry, lesson learned, don't trust the .info file
https://github.com/Ponce/slackbuilds/wiki
Quote:
note that I remove from the repository whatever gets added to Slackware current (also under a different name - for example six as python-six) but I don't remove it from the REQUIRES line of the *.info files: this may confuse your third-party semi-automated tool because it won't find packages listed as dependencies but it actually, like you, should just ignore them as they should already be present in your Slackware current full installation (the only platform supported by this repository).
 
Old 04-09-2021, 12:35 PM   #3680
enine
Senior Member
 
Registered: Nov 2003
Distribution: Slackʍɐɹǝ
Posts: 1,344
Blog Entries: 4

Rep: Reputation: 205Reputation: 205Reputation: 205
opencollada I hit the error:

Code:
/usr/include/pcre.h:325:33: error: conflicting declaration 'typedef struct real_pcre8_or_16 pcre'
and had to apply their patch https://github.com/KhronosGroup/OpenCOLLADA/issues/570

Code:
find -L . \
 \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
  -o -perm 511 \) -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
  -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;

#patch for pcre
patch -p1 < $CWD/pcre.patch  
  
mkdir -p build
cd build
even though its been mentioned a couple times in this thread before in 2020 that it built fine without. I don't have a lot on my system yet so its pretty close to clean.
 
Old 04-09-2021, 03:40 PM   #3681
SpacePlod
Member
 
Registered: Jan 2014
Distribution: Slackware
Posts: 60

Rep: Reputation: Disabled
gsimplecal requires a version bump to build on -current. I'm not the maintainer, but here's the diff:

Code:
diff -Naur gsimplecal-orig/gsimplecal.SlackBuild gsimplecal/gsimplecal.SlackBuild
--- gsimplecal-orig/gsimplecal.SlackBuild	2021-04-09 16:34:02.235639437 -0400
+++ gsimplecal/gsimplecal.SlackBuild	2021-04-09 15:15:17.026315646 -0400
@@ -5,7 +5,7 @@
 # Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.

 PRGNAM=gsimplecal
-VERSION=${VERSION:-2.0}
+VERSION=${VERSION:-2.2}
 BUILD=${BUILD:-1}
 TAG=${TAG:-_SBo}

diff -Naur gsimplecal-orig/gsimplecal.info gsimplecal/gsimplecal.info
--- gsimplecal-orig/gsimplecal.info	2021-04-09 16:34:02.235639437 -0400
+++ gsimplecal/gsimplecal.info	2021-04-09 15:13:38.426308889 -0400
@@ -1,8 +1,8 @@
 PRGNAM="gsimplecal"
-VERSION="2.0"
+VERSION="2.2"
 HOMEPAGE="https://github.com/dmedvinsky/gsimplecal"
-DOWNLOAD="https://github.com/dmedvinsky/gsimplecal/archive/v2.0/gsimplecal-2.0.tar.gz"
-MD5SUM="ae839d5470c9f9a80d2b6a12164ae232"
+DOWNLOAD="https://github.com/dmedvinsky/gsimplecal/archive/v2.2/gsimplecal-2.2.tar.gz"
+MD5SUM="8efec084acc3832300b0299a5ce78910"
 DOWNLOAD_x86_64=""
 MD5SUM_x86_64=""
 REQUIRES=""
 
Old 04-09-2021, 03:41 PM   #3682
enine
Senior Member
 
Registered: Nov 2003
Distribution: Slackʍɐɹǝ
Posts: 1,344
Blog Entries: 4

Rep: Reputation: 205Reputation: 205Reputation: 205
opencolorio needs -Wno-deprecated-declarations -Wno-cast-function-type added to the SLKCFLAGS to compile now.
 
Old 04-09-2021, 03:59 PM   #3683
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,079

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by enine View Post
opencolorio needs -Wno-deprecated-declarations -Wno-cast-function-type added to the SLKCFLAGS to compile now.
are you sure that you are using the repository linked in the first post?
I'm asking because opencolorio has been fixed nearly three years ago for that...

http://cgit.ponce.cc/slackbuilds/commit/?h=opencolorio
 
Old 04-09-2021, 03:59 PM   #3684
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,079

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by SpacePlod View Post
gsimplecal requires a version bump to build on -current. I'm not the maintainer, but here's the diff:

Code:
diff -Naur gsimplecal-orig/gsimplecal.SlackBuild gsimplecal/gsimplecal.SlackBuild
--- gsimplecal-orig/gsimplecal.SlackBuild	2021-04-09 16:34:02.235639437 -0400
+++ gsimplecal/gsimplecal.SlackBuild	2021-04-09 15:15:17.026315646 -0400
@@ -5,7 +5,7 @@
 # Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.

 PRGNAM=gsimplecal
-VERSION=${VERSION:-2.0}
+VERSION=${VERSION:-2.2}
 BUILD=${BUILD:-1}
 TAG=${TAG:-_SBo}

diff -Naur gsimplecal-orig/gsimplecal.info gsimplecal/gsimplecal.info
--- gsimplecal-orig/gsimplecal.info	2021-04-09 16:34:02.235639437 -0400
+++ gsimplecal/gsimplecal.info	2021-04-09 15:13:38.426308889 -0400
@@ -1,8 +1,8 @@
 PRGNAM="gsimplecal"
-VERSION="2.0"
+VERSION="2.2"
 HOMEPAGE="https://github.com/dmedvinsky/gsimplecal"
-DOWNLOAD="https://github.com/dmedvinsky/gsimplecal/archive/v2.0/gsimplecal-2.0.tar.gz"
-MD5SUM="ae839d5470c9f9a80d2b6a12164ae232"
+DOWNLOAD="https://github.com/dmedvinsky/gsimplecal/archive/v2.2/gsimplecal-2.2.tar.gz"
+MD5SUM="8efec084acc3832300b0299a5ce78910"
 DOWNLOAD_x86_64=""
 MD5SUM_x86_64=""
 REQUIRES=""
thanks, pushed!
 
Old 04-09-2021, 04:03 PM   #3685
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,654

Rep: Reputation: 524Reputation: 524Reputation: 524Reputation: 524Reputation: 524Reputation: 524
Hi , today changelog add c-ares

n/c-ares-1.17.1-i586-1.txz: Added.

we can remove it from repo.

Thanks!

Last edited by USUARIONUEVO; 04-09-2021 at 08:08 PM.
 
Old 04-09-2021, 06:23 PM   #3686
enine
Senior Member
 
Registered: Nov 2003
Distribution: Slackʍɐɹǝ
Posts: 1,344
Blog Entries: 4

Rep: Reputation: 205Reputation: 205Reputation: 205
Quote:
Originally Posted by ponce View Post
are you sure that you are using the repository linked in the first post?
I'm asking because opencolorio has been fixed nearly three years ago for that...

http://cgit.ponce.cc/slackbuilds/commit/?h=opencolorio
Ok, that is strange, the link you posted for me yesterday downloaded the whole repo, but sure enough what downloaded for opencolorio doesn't match.
 
Old 04-10-2021, 01:04 AM   #3687
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,079

Original Poster
Rep: Reputation: Disabled
follow the instructions linked in the first post to use the repo.
 
Old 04-10-2021, 05:38 AM   #3688
avian
Member
 
Registered: Aug 2014
Posts: 64

Rep: Reputation: Disabled
Quote:
Originally Posted by ponce View Post
ffmpeg is in current now: as every other package added to current, and like bassmadrigal just answered (have a look at the commit messages he is pointing to), I removed it from the repository.
Ponce, you might want to remove wireguard-linux-compat from your repo as well, since the module is part of the -current 5.10.x kernel package.
 
Old 04-10-2021, 06:34 AM   #3689
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,079

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by avian View Post
Ponce, you might want to remove wireguard-linux-compat from your repo as well, since the module is part of the -current 5.10.x kernel package.
well, I thought about it, but this could actually be useful for people running older kernels than the one shipped with the distribution: maybe instead of removing it, just amending the README telling people that is useful if running a custom older kernel (e.g. <= 5.6.x) could be preferable?
 
Old 04-10-2021, 07:41 AM   #3690
avian
Member
 
Registered: Aug 2014
Posts: 64

Rep: Reputation: Disabled
Quote:
Originally Posted by ponce View Post
well, I thought about it, but this could actually be useful for people running older kernels than the one shipped with the distribution: maybe instead of removing it, just amending the README telling people that is useful if running a custom older kernel (e.g. <= 5.6.x) could be preferable?
Ah understood. Yeh that makes sense, I just figured it might have been something that slipped your mind as opposed to purposely left in the repo. Modifying the README sounds like the way to go.
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 05:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 01:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 01:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 07:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 10:47 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration